player_localize_data Struct Reference

Data: hypotheses (PLAYER_LOCALIZE_DATA_HYPOTHS) More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | pending_count
| The number of pending (unprocessed observations)
double | pending_time
| The time stamp of the last observation processed. More...
uint32_t | hypoths_count
| The number of pose hypotheses. More...
player_localize_hypoth_t * | hypoths
| The array of the hypotheses. More...

## Detailed Description

Data: hypotheses (PLAYER_LOCALIZE_DATA_HYPOTHS)

The `localize` interface returns a data packet containing an an array of hypotheses.

## Member Data Documentation

player_localize_hypoth_t* player_localize_data::hypoths

The array of the hypotheses.

uint32_t player_localize_data::hypoths_count

The number of pose hypotheses.

double player_localize_data::pending_time

The time stamp of the last observation processed.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45